package com.yaohun.cardbackpack.data;

import com.yaohun.cardbackpack.util.RandomUtil;

public class CardData {

    private String cardKey;
    private int cardSlot;
    public int needMoney;
    public double chance;

    public CardData(String cardKey, int cardSlot, int needMoney, double chance) {
        this.cardKey = cardKey;
        this.cardSlot = cardSlot;
        this.needMoney = needMoney;
        this.chance = chance;
    }

    public String getCardKey() {
        return cardKey;
    }

    public int getCardSlot() {
        return cardSlot;
    }

    public boolean isChance(int addRandom){
        if(chance >= 100){
            return true;
        }
        if(chance <= 0){
            return false;
        }
        int max = 100 + addRandom;
        double rand = RandomUtil.getRandomDouble(0,max,1);
        if(rand < chance / 2){
            return true;
        }
        return false;
    }
}
