package com.yaohun.cardbackpack.listener;

import com.yaohun.cardbackpack.gui.CardGui;
import de.tr7zw.itemnbtapi.NBTItem;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.EquipmentSlot;
import org.bukkit.inventory.ItemStack;

public class PlayerListener implements Listener {

    @EventHandler
    public void onMutual(PlayerInteractEvent event) {
        Player player = event.getPlayer();
        if(event.getHand() == EquipmentSlot.HAND){
            Action action = event.getAction();
            if(action == Action.RIGHT_CLICK_AIR || action == Action.RIGHT_CLICK_BLOCK){
                ItemStack stack = player.getInventory().getItemInMainHand();
                if(!DemonAPI.itemIsNull(stack) && !DemonAPI.itemIsLore(stack)){
                    NBTItem nbtItem = new NBTItem(stack);
                    if(nbtItem.hasKey("hunkaKey")){
                        CardGui.OpenGui(player);
                    }
                }
            }
        }
    }
}
